SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000899SiT!feedbackpublic2009-08-23 23:362009-10-15 21:56
ReporterCartmanVS 
Assigned Tokieran 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target Version3.50Fixed in Version3.50 
Summary0000899: Feedback Forms do not work when configured
DescriptionI am configuring my SiT installation, and have come unstuck when trying to get Feedback Forms to work. They are enabled in the FEATURES section, and I have created a Feedback Form that contains all the appropriate field, questions and actions. However when I close an Issue on the system, nothing is sent to the customer whether I use the "Mark for Close" or "Close Immediately".

I note a topic statement from someone else in the Forum indicating that Feedback Forms did not work in V3.45 SiT. However I have V3.50 installed, and was wondering if this has been addressed?

It is a vital part of a project I am working on, which is Transactional MFA (Feedback Analysis) so that each time a customer issue is resolved we get live feedback on the performance of my Support Engineers.

Can anyone help?
TagsNo tags attached.
Attached Files

- Relationships
related to 0000921assignedivan Software sends incorrect URL by email for Feedback Form 

-  Notes
User avatar (0001802)
kieran (administrator)
2009-08-23 23:38

This should be a simple fix, targeting a fix for 3.50.
(0001804)
codemonkey (updater)
2009-08-24 18:03

This issue was mentioned in a commit by Kieran Hogg in commit 006ba8d312a135fcc0638197049c4e7a570c7c73
http://github.com/sitracker/sitracker/commit/006ba8d312a135fcc0638197049c4e7a570c7c73 [^]

First attempt at bug 899
User avatar (0001805)
kieran (administrator)
2009-08-24 20:00

Are you able to test if this bug is fixed? If you can, click 'download' on http://github.com/sitracker/sitracker/tree/sitracker3 [^] to get a version of SiT with the fix in, could you test this out and see if it fixes this issue?
(0001806)
CartmanVS (reporter)
2009-08-24 20:48

Hope this isn't me being rather silly, but the link (above) takes me to the correct page but the "Download" button doesn't do anything when clicked. Page being browsed at that time is showing the following error:

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; InfoPath.2; .NET CLR 1.1.4322; .NET CLR 3.5.30729; .NET CLR 3.0.30618)
Timestamp: Mon, 24 Aug 2009 19:45:43 UTC


Message: Expected ':'
Line: 396
Char: 65
Code: 0
URI: http://assets2.github.com/javascripts/bundle.js?180c214baeba2d8a1194e7b48ea7581cfee3e505 [^]


Message: 'GitHub' is undefined
Line: 173
Char: 3
Code: 0
URI: http://github.com/sitracker/sitracker/tree/sitracker3 [^]


Message: 'GitHub' is undefined
Line: 442
Char: 5
Code: 0
URI: http://github.com/sitracker/sitracker/tree/sitracker3 [^]

Am I being dumb?? Of course I am running the Acursed Vista !!

Kevin
User avatar (0001807)
kieran (administrator)
2009-08-24 20:58

Works okay for me, might have been a temporary glitch?
(0001808)
CartmanVS (reporter)
2009-08-24 21:47

Working now, it was an IE8 thing. Used Chrome and I managed to get the PHP upgraded. However I cannot check if the issue is resolved. I have carried a simulated issue between a Contact and User, and at the end of the process the User selects "CLOSE" from the issue Update screen and I get a Parse error:

Parse error: syntax error, unexpected T_CONSTANT_ENCAPSED_STRING, expecting ')' in D:\Websites\yourbackdoor.co.uk\httpdocs\support\incident_close.php on line 520


Has the upgrade not gone through OK? I can copy the files over again, if you feel it would help?

Regards,
Kevin
User avatar (0001809)
kieran (administrator)
2009-08-24 21:53

D'oh, it had a syntax error. I've fixed that now.
(0001810)
CartmanVS (reporter)
2009-08-24 22:59

Downloaded, progressed but not resolved unfortunately. I am now able to manually select a Feedback Form (link) from the "Show Feedback" options, and fill out the online Feedback Form with the details and questions I configured.

However when I "Close Immediately" an open issue, the customer does not get an email with the link to complete the Feedback Form. Do I have to add it manually in the "System Actions" controls and if so, how?

Everything seems much better now, just the link between Issue Closure and sending the email to a Customer that is not working. Nearly there !!

Regards,
Kevin
User avatar (0001811)
kieran (administrator)
2009-08-24 23:43

Sorry, I forgot to mention: if you didn't reinstall your DB (which is likely) go to setup.php and you'll need to copy and paste from '-- KMH 2009-08-24' downwards in the textarea with SQL in.
User avatar (0001813)
kieran (administrator)
2009-08-24 23:46

Bah, must be tired: by copy and paste I mean you'll need to paste into the SQL tab of phpmyadmin or similar.
(0001814)
CartmanVS (reporter)
2009-08-25 12:11

My apologies for asking this question, as PHP is something I am taking my time getting used to (as well as SQL). What am I pasting into SQL ? The webserver is running MySQL and I have an admin screen I an get to for work with the database. However, I'm unsure on what I am pasting, where I get it from and where it goes.

Sorry to sound a little "green around the edges", but I am . . quite frankly.

Any assistance you can give, is very much appreciated.

Kevin
User avatar (0001815)
kieran (administrator)
2009-08-25 13:34

You need to insert some SQL into your database manually, I'm not sure how you'd do it with the tool you are using though.

If you can find someway to insert the SQL, you need to insert(changing the table names if you don't have sit_ as a prefix):

INSERT INTO `sit_triggers` (`triggerid`, `userid`, `action`, `template`, `parameters`, `checks`) VALUES('TRIGGER_SEND_FEEDBACK', 1, 'ACTION_EMAIL', 'EMAIL_SEND_FEEDBACK', '', '{sendfeedback} == 1');

INSERT INTO `sit_emailtemplates` (`name`, `type`, `description`, `tofield`, `fromfield`, `replytofield`, `ccfield`, `bccfield`, `subjectfield`, `body`, `customervisibility`, `storeinlog`, `created`, `createdby`, `modified`, `modifiedby`) VALUES('EMAIL_SEND_FEEDBACK', 'system', 'strEmailSendFeedbackDesc', '{contactemail}', '{supportemail}', '{supportemail}', '', '', '{applicationshortname} [{incidentid}] - {incidenttitle}: feedback requested', 'Hi {contactfirstname},

We would very much value your feedback relating to Incident #{incidentid} - {incidenttitle}.

DO NOT respond to this e-mail directly, use the portal for your responses.

Please visit the following URL to complete our short questionnaire.

{feedbackurl}

Regards,
{signature}

{globalsignature}', 'hide', 'No', NULL, NULL, NULL, NULL);
(0001816)
CartmanVS (reporter)
2009-08-25 15:11

Nearly there !!

Inserted the Database record and values, as specified. Everything appears to work OK, and I managed to figure out myself (shock) that I then had to add the Action/Trigger to the System Action screen manually to get it to send the email.

The system now correctly sends the email on Closure of an incident, however the URL sent to the customer is different to that in the system:


URL in Customer Email: http://www.yourbackdoor.co.uk/support/feedback.php?ax=eJwzUlMzUlOzBAAExgE2 [^]

URL in "Browse Feedback": http://www.yourbackdoor.co.uk/support/feedback.php?ax=eJwzUlMzVlOzBAAEygE3 [^]

As you can see, only the last digit is different which is really odd since the reference looks like a randomly generated sequence. So the customer gets "No Feedback Form for this Reference", but in the "Browse Feedback" there is a form waiting to be compeleted that links correctly to the right place.

Any thoughts?

Kevin
(0001817)
CartmanVS (reporter)
2009-08-25 21:54

Question (or update), could the instructions in 001815 be the trigger for the mismatching Feedback URL's if I enter some of the fields incorrectly into the database? They were entered by hand individually.

Just a thought, that may help . . . . or not.

Kevin
User avatar (0001818)
kieran (administrator)
2009-08-25 22:48

Just set this up myself (which is always useful) and I'm getting the same out by one error as you. As you said it's very odd considering it's a hash. We'll get to the bottom of it eventually...
(0001820)
codemonkey (updater)
2009-08-25 23:14

This issue was mentioned in a commit by Kieran Hogg in commit f599d6d1144d4355ebaa3857c8721189d7da2b5c
http://github.com/sitracker/sitracker/commit/f599d6d1144d4355ebaa3857c8721189d7da2b5c [^]

Hopefully final fix for bug 899: move hash generation to a function
User avatar (0001821)
kieran (administrator)
2009-08-25 23:14

Just moved hash generation to a function which it should have been anyway so hopefully that should generate the correct has in the email now.

http://github.com/sitracker/sitracker/commit/f599d6d1144d4355ebaa3857c8721189d7da2b5c [^]
(0001822)
CartmanVS (reporter)
2009-08-25 23:42

Do I need to be modifying anything at Database level, or just copying across the new source files?

Still an issue, but now worse at my end than before:

Correct URL (Feedback): http://www.yourbackdoor.co.uk/support/feedback.php?ax=eJwzUlMzVlMzNAQABiIBYA%3D%3D [^]

Emailed URL: http://www.yourbackdoor.co.uk/support/eJwzUlMzUlMzNAQABh0BXw%3D%3D [^]

Note the two problems now, 0000001-URL is slightly different. 0000002-No "feedback.php?" precursor to the Feedback Form number.

Kevin
User avatar (0001823)
kieran (administrator)
2009-08-25 23:57

Your database should be okay. Just fixed the missing feedback.php issue, can you try again? I doubt that will fix the mismatch though.
(0001824)
CartmanVS (reporter)
2009-08-26 00:06

Using the same GIT source?

http://github.com/sitracker/sitracker/commit/f599d6d1144d4355ebaa3857c8721189d7da2b5c [^]

Or another one?
User avatar (0001825)
kieran (administrator)
2009-08-26 00:14

The gitbot is a bit slow tonight, it should be: http://github.com/sitracker/sitracker/commit/1461ad505873b989465d5aee3a906681af23c956 [^]
(0001826)
CartmanVS (reporter)
2009-08-26 00:40

Spot on. Missing "feedback.php?" now resolved, so original issue only remains. Look forward to next update, and if there is anything you need me to test and play with just let me know.

Your continued support and vigilance is very much appreciated.

Kevin
(0001835)
CartmanVS (reporter)
2009-08-26 22:43

Update: Just in case this is relevant, I mentioned in a previous note that only the last number in the Hash defined Feedback URL was different but the pattern isn't that simple. It is definately very similar (difference between emailed URL, and logged URL), but always with a small change of one or two characters at the most.

The character that differs however, is not always the same positional one in the URL if that makes any sense.

Maybe a clue, or just dead end?
User avatar (0001837)
ivan (administrator)
2009-08-26 23:44

Hi Kevin,

Can you check what you have configured under SiT! | Control Panel | Configure | Features | Feedback. In particular what do you have set for 'Feedback Form'? I've just set this up myself using this same code that you're trying and it does appear to work for me, although the feedback form itself is rather ugly (logged as bug 0000908)
(0001863)
CartmanVS (reporter)
2009-08-27 14:45

Everything is configured correctly in SiT, because it was resolved by Keiran recently. The only outstanding problem was the mismatch in the URL being published. I have checked (and re-saved) all the settings again. I have created a Feedback Form (ID-2), and the FEATURES section is correctly referencing this Feedback Form.

However when a User closes (Close Now operation) an Issue, the Contact receives the email for closure and a Feedback Form with the incorrect URL. As mentioned before, the URL is very similar but when clicked on simply gives the "Feedback Form Not Found".

Any assistance would be appreciated.

Kevin
(0001887)
CartmanVS (reporter)
2009-08-31 18:06

Is there any update to this issue? I am hoping to present this application to a board of Customer Service directors, as a solution for our Issue Tracking shortly. Everything else appears to be working, except the Feedback Form links when emailed to a Contact.

If there is an update I can download to test against, that would be excellent.

Kevin
User avatar (0001939)
kieran (administrator)
2009-09-11 22:48

Just had another look at this with this and I can't reproduce the problem anymore, I'm not sure if it got it fixed or it's just gone away from me. Can you download the latest copy of git from http://github.com/sitracker/sitracker/tree/sitracker3 [^] and see if it's fixed for you too?
(0001941)
CartmanVS (reporter)
2009-09-11 23:43

Sorry to say Keiran, that I am still seeing the problem.

Emailed URL: feedback.php?ax=eJwzVFMzUlMzAQAEugEw

Actual URL: feedback.php?ax=eJwzVFMzASIABMIBMg%3D%3D

I believe I upgraded properly by overwriting the entire file structure, with the exception of the config.inc.php file and Attachments directory. Seems to still be running, but will the same issue.

Odd thing is that each time I try this the emailed URL always ends in "%3D%3D". Is this a factor? If you are unable to recreate, then I need to find out what I am doing different . . or not doing !

No changes made to my database, as part of this upgrade and retest. So if there was something I needed to do . . it didn't get done. Only the PHP files were updated.

Kevin
User avatar (0001942)
kieran (administrator)
2009-09-12 00:08

Been a bit slow on this bug, sorry.

So I decoded the two keys, not sure why it took me this long to realise it'd be a good idea. Basically, the real hash contains the incident owner as user 4 and the wrong one says the incident owner is user 2. Can you check the incident in question and user 2 and see if there's anything special?

The code just uses: incident_owner() so I'm not sure why it's returning the wrong user.
(0001943)
CartmanVS (reporter)
2009-09-12 00:24

The incident was created (and owned) by User 0000002 in the table "SiT_Users", but this is not who the issue created was for.

It was created for Contact 0000004 in the "SiT_Contacts" table, by User 0000002. So I am expecting on closure, that Contact 0000004 gets sent the Feedback Form which happens correctly.

Could this be the problem, that the feedback form should really be referencing the "Contact" rather than the "User"?

Seems that it is referencing the correct ID within the table, but the wrong table (Users, rather than Contact).

Did that ramble make sense?

Kevin

Kevin
User avatar (0001944)
kieran (administrator)
2009-09-12 01:02

Yes! You're spot on, it should be the contact, not the user. I'll get it fixed in the morning, thanks for the help, I think you helped more than I did ;)
User avatar (0001948)
kieran (administrator)
2009-09-12 11:03

This issue was mentioned in a commit by Kieran Hogg in commit 26d0ea5b1a7304db40e3e7945be7ce497dbb10a7
http://github.com/sitracker/sitracker/commit/26d0ea5b1a7304db40e3e7945be7ce497dbb10a7 [^]

The feedback URL was using incident owner not contact, this fixes bug 899 (finally!)

- Issue History
Date Modified Username Field Change
2009-08-23 23:36 CartmanVS New Issue
2009-08-23 23:38 kieran Note Added: 0001802
2009-08-23 23:38 kieran Status new => confirmed
2009-08-23 23:38 kieran Target Version => 3.50
2009-08-24 12:33 kieran Status confirmed => assigned
2009-08-24 12:33 kieran Assigned To => kieran
2009-08-24 18:03 codemonkey Checkin
2009-08-24 18:03 codemonkey Note Added: 0001804
2009-08-24 20:00 kieran Note Added: 0001805
2009-08-24 20:00 kieran Status assigned => feedback
2009-08-24 20:48 CartmanVS Note Added: 0001806
2009-08-24 20:58 kieran Note Added: 0001807
2009-08-24 21:47 CartmanVS Note Added: 0001808
2009-08-24 21:53 kieran Note Added: 0001809
2009-08-24 22:59 CartmanVS Note Added: 0001810
2009-08-24 23:43 kieran Note Added: 0001811
2009-08-24 23:46 codemonkey Note Added: 0001812
2009-08-24 23:46 codemonkey Note Deleted: 0001812
2009-08-24 23:46 kieran Note Added: 0001813
2009-08-25 12:11 CartmanVS Note Added: 0001814
2009-08-25 13:34 kieran Note Added: 0001815
2009-08-25 15:11 CartmanVS Note Added: 0001816
2009-08-25 21:54 CartmanVS Note Added: 0001817
2009-08-25 22:48 kieran Note Added: 0001818
2009-08-25 23:14 codemonkey Checkin
2009-08-25 23:14 codemonkey Note Added: 0001820
2009-08-25 23:14 kieran Note Added: 0001821
2009-08-25 23:42 CartmanVS Note Added: 0001822
2009-08-25 23:57 kieran Note Added: 0001823
2009-08-26 00:06 CartmanVS Note Added: 0001824
2009-08-26 00:14 kieran Note Added: 0001825
2009-08-26 00:40 CartmanVS Note Added: 0001826
2009-08-26 22:43 CartmanVS Note Added: 0001835
2009-08-26 23:44 ivan Note Added: 0001837
2009-08-27 14:45 CartmanVS Note Added: 0001863
2009-08-31 18:06 CartmanVS Note Added: 0001887
2009-09-02 21:01 ivan Relationship added related to 0000921
2009-09-11 14:06 ivan Status feedback => assigned
2009-09-11 14:06 ivan Assigned To kieran => ivan
2009-09-11 22:48 kieran Note Added: 0001939
2009-09-11 22:49 kieran Status assigned => feedback
2009-09-11 23:43 CartmanVS Note Added: 0001941
2009-09-12 00:08 kieran Note Added: 0001942
2009-09-12 00:24 CartmanVS Note Added: 0001943
2009-09-12 01:02 kieran Note Added: 0001944
2009-09-12 10:31 ivan Status feedback => assigned
2009-09-12 10:31 ivan Assigned To ivan => kieran
2009-09-12 11:03 kieran Note Added: 0001948
2009-09-12 11:03 kieran Status assigned => resolved
2009-09-12 11:03 kieran Fixed in Version => Current SVN
2009-09-12 11:03 kieran Resolution open => fixed
2009-09-12 12:06 ivan Fixed in Version Current SVN => 3.50
2009-10-15 21:56 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker